## mussorgsky 0.5.2-3

=== tools/Makefile ===
all: 
	gcc -o ht-album-art ht-album-art.c `pkg-config --cflags --libs glib-2.0 hildon-thumbnail`

## mussorgsky 0.1-1

=== debian/changelog ===
mussorgsky (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Ivan Frade <ivan.frade@gmail.com>  Tue, 23 Jun 2009 19:54:59 +0300

=== debian/control ===
Source: mussorgsky
Section: user/multimedia
Priority: extra
Maintainer: Ivan Frade <ivan.frade@gmail.com>
Build-Depends: cdbs, debhelper (>= 5), python-all-dev (>= 2.5), python-central (>= 0.5.6)
Standards-Version: 3.8.0
Homepage: http://mussorgsky.garage.maemo.org
XS-Python-Version: current, >= 2.5

Package: mussorgsky
Architecture: all
Depends: ${python:Depends}, python-mutagen,
 python-hildon, python-dbus, tracker, python-gst0.10,
 python2.5-gobject, python-imaging
Optional: python2.5-libxml2
XB-Python-Version: current, >=2.5
Description: Music Organizer, audio files metadata editor
 Mussorgsky is a tool to set the basic metadata in the audio files 
 so the music collection management can be done completely on the 
 maemo device, without the help of a desktop computer.

## mussorgsky 0.2-1

=== debian/changelog ===
mussorgsky (0.2-1) unstable; urgency=low

  * Release 0.2
  * Changed first screen options
  * Allow to select album art per album

 -- Ivan Frade <ivan.frade@gmail.com>  Tue, 27 Aug 2009 01:03:59 +0300

## mussorgsky 0.2.1-1

=== debian/changelog ===
mussorgsky (0.2.1-1) unstable; urgency=low

  * Release 0.2.1
  * Updated to new TouchSelectorEntry API
  * Use threads to retrieve album art

 -- Ivan Frade <ivan.frade@gmail.com>  Tue, 05 Sep 2009 01:18:59 +0300

## mussorgsky 0.2.2-1

=== debian/changelog ===
mussorgsky (0.2.2-1) unstable; urgency=low

  * Release 0.2.2
  * Removed references to a removed module.

 -- Ivan Frade <ivan.frade@gmail.com>  Tue, 05 Sep 2009 11:04:59 +0300

## mussorgsky 0.3-1

=== debian/changelog ===
mussorgsky (0.3-1) unstable; urgency=low

  * Release 0.3
  * Treeview with interactive search for metadata edition
  * Minor updates in the edit UI
  * Fixed thumbnail path calculation to meet MAFW expectatives
  * Brand new initial screen using fancy images (Gabriel Schulhof)

 -- Ivan Frade <ivan.frade@gmail.com>  Tue, 15 Sep 2009 23:58:59 +0300

## mussorgsky 0.4-1

=== debian/changelog ===
mussorgsky (0.4-1) unstable; urgency=low

  * Release 0.4
  * Revamped download dialog
  * Edit UI using themable icons (from media player)
  * Enable theming in the main view buttons

 -- Ivan Frade <ivan.frade@gmail.com>  Tue, 25 Jan 2009 01:56:59 +0300

## mussorgsky 0.5-1

=== debian/changelog ===
mussorgsky (0.5-1) unstable; urgency=low

  * Release 0.5
  * Added i18n support
  * Support for WMA, OGG and FLAC (via mutagen)
  * Call directly libhildon-thumbnailer with CTypes
  * New icon
  * Fixed MB#8912, crash editing some songs

 -- Ivan Frade <ivan.frade@gmail.com>  Tue, 22 Apr 2010 18:35:59 +0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  python-hildon, python-dbus, tracker, python-gst0.10,
  python2.5-gobject, python-imaging
 Optional: python2.5-libxml2
-XB-Python-Version: current, >=2.5
 Description: Music Organizer, audio files metadata editor
  Mussorgsky is a tool to set the basic metadata in the audio files 
  so the music collection management can be done completely on the

## mussorgsky 0.5.1-1

=== debian/changelog ===
mussorgsky (0.5.1-1) unstable; urgency=low

  * Release 0.5.1
  * Added dependency on python-gobject (due glib module)
  * Fixed problem saving the album art

 -- Ivan Frade <ivan.frade@gmail.com>  Tue, 25 Apr 2010 18:35:59 +0300

## mussorgsky 0.5.2-1

=== debian/changelog ===
mussorgsky (0.5.2-1) unstable; urgency=low

  * Release 0.5.2
  * Updated page parsing to the latest bing html
  * Fixed crash in the languages variable

 -- Ivan Frade <ivan.frade@gmail.com>  Tue, 11 Feb 2011 13:31:00 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Architecture: all
 Depends: ${python:Depends}, python-mutagen,
  python-hildon, python-dbus, tracker, python-gst0.10,
- python2.5-gobject, python-imaging
+ python-gobject, python-imaging
 Optional: python2.5-libxml2
 Description: Music Organizer, audio files metadata editor
  Mussorgsky is a tool to set the basic metadata in the audio files

## mussorgsky 0.5.2-3

=== debian/changelog ===
mussorgsky (0.5.2-3) unstable; urgency=low

  * Add bugtracker link in debian/control

 -- Ivan Frade <ivan.frade@gmail.com>  Tue, 28 Mar 2011 13:31:00 +0300

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Standards-Version: 3.8.0
 Homepage: http://mussorgsky.garage.maemo.org
 XS-Python-Version: current, >= 2.5
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Mussorgsky
 
 Package: mussorgsky
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_PYTHON_SYSTEM = pycentral

include /usr/share/cdbs/1/class/python-distutils.mk

## mussorgsky 0.5.2-6

=== debian/changelog ===
mussorgsky (0.5.2-6) unstable; urgency=low

  * Change user-agent to MSIE.

 -- Robert Irvin <android_808@hotmail.com>  Sat, 18 Jan 2014 14:33:00 +0000

mussorgsky (0.5.2-5) unstable; urgency=low

  * Replace Bing with Google Image Search

 -- Robert Irvin <android_808@hotmail.com>  Sun, 10 Nov 2013 21:15:00 +0000

## mussorgsky 0.5.2-7

=== debian/changelog ===
mussorgsky (0.5.2-7) unstable; urgency=low

  * Fix handling of search criteria when no results are returned caused by Bing/Google change.
  * Add debian/optify.

 -- Robert Irvin <android_808@hotmail.com>  Sun, 26 Jan 2014 18:17:00 +0000

## mussorgsky 0.5.2-8

=== debian/changelog ===
mussorgsky (0.5.2-8) unstable; urgency=low

  * Remove optification until fixed.

 -- Robert Irvin <android_808@hotmail.com>  Wed, 29 Jan 2014 17:19:00 +0000

## mussorgsky 0.5.2-9

=== debian/changelog ===
mussorgsky (0.5.2-9) unstable; urgency=low

  * Fix errors caused by non-standard /home setup. (Thanks to Estel for testing.)

 -- Robert Irvin <android_808@hotmail.com>  Sun, 02 Mar 2014 17:42:00 +0000

## mussorgsky 0.5.2-10

=== debian/changelog ===
mussorgsky (0.5.2-10) unstable; urgency=low

  * Fix results.
  
 -- Robert Irvin <android_808@hotmail.com>  Sun, 02 Dec 2016 09:01:00 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: cdbs, debhelper (>= 5), python-all-dev (>= 2.5), python-central (>= 0.5.6)
 Standards-Version: 3.8.0
 Homepage: http://mussorgsky.garage.maemo.org
-XS-Python-Version: current, >= 2.5
+XS-Python-Version: >=2.5, <<2.6
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Mussorgsky
 
 Package: mussorgsky
@@ -14,6 +14,7 @@
  python-hildon, python-dbus, tracker, python-gst0.10,
  python-gobject, python-imaging
 Optional: python2.5-libxml2
+XB-Python-Version: ${python:Versions}
 Description: Music Organizer, audio files metadata editor
  Mussorgsky is a tool to set the basic metadata in the audio files 
  so the music collection management can be done completely on the

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+PATH := /usr/bin:$(PATH)
+export PATH
+SBOX_REDIRECT_IGNORE = /usr/bin/python
+export SBOX_REDIRECT_IGNORE
 
 include /usr/share/cdbs/1/rules/debhelper.mk
